<?php
// Xinfeng Chen, 2002.11.06
// require_once('base_array_file.php');
// require_once('class_forum_base.php');

class CActivity extends CBaseArrayFile {
 var $ip, $timestamp, $user, $hide, $bid, $tid;

 function _explodeRecord($a_line){
  list($this->ip,$this->timestamp,$this->user,$this->hide,
   $this->bid,$this->tid)=explode(SP, $a_line);
 }

 function _composeRecord($a_line){
  $a_line=$this->ip.SP.$this->timestamp.SP.$this->user
   .SP.$this->hide.SP.$this->bid.SP.$this->tid;
 }

 function load(){
  $fname=CForumBase::getFilePath('ACTIVITY',$a_name);
  return $this->readFile($fname);
 }

 function store(){
  $fname=CForumBase::getFilePath('ACTIVITY',$a_name);
  return $this->writeFile($fname);
 }

}
?>